<?php
/**
 * This template is used for displaying the dashboard wallet withdrawal transactions wrapper.
 *
 * This template can be overridden by copying it to yourtheme/wallet-for-woocommerce/dashboard/modules/wallet-withdrawal/transactions-wrapper.php
 *
 * To maintain compatibility, Wallet for WooCommerce will update the template files and you have to copy the updated files to your theme
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit ; // Exit if accessed directly.
}

$columns = wal_wallet_withdrawal_transactions_columns() ;
?>
<div class="wal-dashboard-wallet-withdrawal-transactions-content-wrapper wal-dashboard-content-wrapper" data-table_name='wallet_withdrawal'>
	<table class = "wal-frontend-table wal-dashboard-wallet-withdrawal-transactions-table">

		<thead>
			<tr>
				<?php foreach ( $columns as $column_name ) : ?>
					<th><?php echo esc_html( $column_name ) ; ?></th>
				<?php endforeach ; ?>
			</tr>
		</thead>

		<tbody>

			<?php
			if ( wal_check_is_array( $withdrawal_ids ) ) :
				wal_get_template(
						'modules/wallet-withdrawal/transactions.php', array(
					'withdrawal_ids' => $withdrawal_ids,
						)
				) ;
			else :
				?>
				<tr>
					<td colspan="<?php echo esc_attr( count( $columns ) ) ; ?>">
						<?php esc_html_e( 'No activity found.', 'wallet-for-woocommerce' ) ; ?>
					</td>
				<tr>
				<?php
				endif ;
			?>
		</tbody>

		<?php if ( $pagination[ 'page_count' ] > 1 ) : ?>
			<tfoot>
				<tr>
					<td colspan="<?php echo esc_attr( count( $columns ) ) ; ?>" class="footable-visible">
						<?php wal_get_template( 'pagination.php', array( 'pagination'=>$pagination ) ) ; ?>
					</td>
				</tr>
			</tfoot>
		<?php endif ; ?>
	</table> 
</div>
<?php
