<?php
/**
 * This template is used for displaying the withdrawal settings form in the dashboard.
 *
 * This template can be overridden by copying it to yourtheme/wallet-for-woocommerce/modules/wallet-withdrawal/withdrawal-settings-form.php
 *
 * To maintain compatibility, Wallet for WooCommerce will update the template files and you have to copy the updated files to your theme
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit ; // Exit if accessed directly.
}
?>
<div class="wal-withdrawal-settings-form-wrapper">

	<div class="wal-dashboard-notices-wrapper">
		<?php wal_print_dashboard_notices() ; ?>
	</div>

	<form method="POST" action="" class="wal-frontend-form wal-withdrawal-settings-form" enctype="multipart/form-data">

		<div class='wal-withdrawal-settings-form-content'>

			<?php
			/**
			 * This hook is used to display the extra content before fields.
			 * 
			 * @since 1.8
			 */
			do_action( 'wal_wallet_withdrawal_before_fields' ) ;
			?>

			<p class="form-row wal-form-row">
				<label><?php echo esc_html( wal_get_withdrawal_request_payment_gateway_selection_label() ) ; ?><span class="required">*</span></label>
				<select name="wal_withdrawal_payment_gateway" class="wal-form-row-value wal-withdrawal-payment-gateway">
					<?php foreach ( wal_get_wallet_withdrawal_payment_gateways_options() as $gateway_id => $gateway_name ) : ?>
						<option value="<?php echo esc_attr( $gateway_id ) ; ?>"<?php selected( $gateway_id, WAL_Current_User_Wallet::get_withdrawal_payment_gateway() ) ; ?>>
							<?php echo esc_html( $gateway_name ) ; ?>
						</option>
					<?php endforeach ; ?>
				</select>
			</p>

			<?php
			/**
			 * This hook is used to display the extra content after fields.
			 * 
			 * @since 1.8
			 */
			do_action( 'wal_wallet_withdrawal_after_fields' ) ;
			?>

			<p class="form-row wal-form-row">
				<input type='submit' class="wal-withdrawal-settings-button wal-form-button" value="<?php echo esc_attr( wal_get_withdrawal_settings_button_label() ) ; ?>" >
				<input type="hidden" name="wal-action" value="withdrawal-settings" />
				<input type="hidden" name="wal-withdrawal-settings-nonce" value="<?php echo esc_attr( wp_create_nonce( 'wal-withdrawal-settings' ) ) ; ?>" />
			</p>
		</div>
	</form>

</div>
<?php
